# let
#     toolchain = import /home/lxsameer/src/toolchain/test-stdenv.nix {};
#     nixpkgs = import /home/lxsameer/src/nixpkgs {};
#     myenv = toolchain.createPkgSet;
# in myenv.ninja #.stdenv
# nix build --impure --expr 'with import ./. { crossSystem = (import ./lib).systems.examples.musl64 // { useLLVM = true; }; }; bash'

let
    tmpPkgs = import /home/lxsameer/src/nixpkgs {};
    # pkgs = import /home/lxsameer/src/nixpkgs {
    #     crossSystem = tmpPkgs.stdenv.hostPlatform // {
    #         config = "x86_64-unknown-linux-musl";
    #         useLLVM = true;
    #         linker = "lld";
    #         isMusl = true;
    #         isStatic = true;
    #   };
    # };

    static = tmpPkgs.pkgsMusl.pkgsStatic;
    #stdenv = static.llvmPackages_16.libcxxStdenv;



    monorepoSrc = tmpPkgs.fetchgit {
        url = "https://devheroes.codes/Serene/llvm-project.git";
        rev = "b2c0361bcc08afdf466a605a23924bcd64fa2b86";
        hash = "sha256-wUKHwWYYlKa0v5zEJXxndleYtK7wzJKi0vqr3lNkGMI=";
    };

    overrideSrc = { inherit monorepoSrc; };
    buildLlvm = static.llvmPackages_16.override overrideSrc;

    targetLlvm = static.llvmPackages_16.override overrideSrc;
    # pkgsStaticLlvm.
    llvm = static.llvmPackages_16.override (prev: overrideSrc // {

        buildLlvmTools = buildLlvm.tools;
        targetLlvmLibraries = targetLlvm.libraries or {};
        targetLlvm = targetLlvm.llvm or {};
        officialRelease = null;
        gitRelease = {
            version = "16.0.6";
            rev = "b2c0361bcc08afdf466a605a23924bcd64fa2b86";
            rev-version = "17-disable-shared-1";
        };
    });

    stdenv = llvm.libcxxStdenv;
in tmpPkgs.hello.override { inherit stdenv; }
